Bug 924257 - Advanced user configuration is saved after pressing Cancel
Advanced user configuration is saved after pressing Cancel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 08:52 EDT by Jan Stodola
Modified: 2013-05-12 13:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 13:09:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2013-03-21 08:52:18 EDT
Description of problem:
After making modifications on the Advanced user configuration screen and clicking on Cancel (or pressing Esc key), changes are saved.

Version-Release number of selected component (if applicable):
Fedora-19-Alpha-TC1
anaconda-19.12

How reproducible:
always

Steps to Reproduce:
1. start installation in graphical mode
2. configure partitioning/package set and begin the installation
3. click on "CREATE USER"
4. enter your name to the "Full Name" field
5. click on the "Advanced..." button
6. make some changes (check "Create a home directory for this user.") and press Cancel (or hit Esc key)
7. click on the "Advanced..." button again
  
Actual results:
Changes from step 5 are applied.

Expected results:
Changes from step 5 are not applied.
Comment 1 Martin Sivák 2013-03-21 09:31:30 EDT
The changes are not saved, the dialog state is just not refreshed properly..
Comment 2 Jan Stodola 2013-03-26 08:47:09 EDT
Cancel button and Esc key work as expected. Retested using F19-Alpha-TC2, anaconda-19.13.

Thanks, moving to VERIFIED.
Comment 3 Adam Williamson 2013-05-12 13:09:27 EDT
We're well past that anaconda in stable now. Closing.

Note You need to log in before you can comment on or make changes to this bug.